Summary:	3D realtime strategy on a future Earth
Summary(pl.UTF-8):	Gra RTS, której akcja toczy się w przyszłości
Name:		warzone2100
Version:	3.1.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games/Strategy
Source0:	http://downloads.sourceforge.net/warzone2100/%{name}-%{version}.tar.xz
# Source0-md5:	4e947125e9604821164f1ad9d1922447
Patch0:		glew-1.12.patch
URL:		http://www.wz2100.net/
BuildRequires:	OpenAL-devel >= 0.0.8-4
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtScript-devel
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_net-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-tools
BuildRequires:	glew-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libtheora-devel >= 0.1
BuildRequires:	libvorbis-devel >= 1.1
BuildRequires:	physfs-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	quesoglc-devel
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zip
Requires:	fonts-TTF-DejaVu
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Warzone 2100 is a real-time strategy game. Although comparable to
Earth 2150 in many significant respects, it does contain aspects that
are unique. These include various radar technologies and a greater
focus on artillery and counter-battery technologies.

%description -l pl.UTF-8
Warzone 2100 jest grą strategiczną czasu rzeczywistego. Chociaż gra
bardzo przypomina grę Earth 2150, to jednak zostało do niej
wprowadzonych kilka ciekawych pomysłów. Są to między innymi rozmaite
technologie radarowe oraz większe skupienie się na technologiach
artyleryjskich oraz obronie przeciwlotniczej.

%prep
%setup -q
%patch0 -p1

# et_EE -> et
%{__sed} -e 's/et_EE/et/g' -i po/LINGUAS
mv po/et{_EE,}.po
mv po/et{_EE,}.gmo

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-distributor="PLD" \
	--docdir=%{_docdir}/%{name}-%{version} \
	--with-icondir=%{_pixmapsdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ca_ES
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/uk_UA

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/man6/%{name}.6*
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%changelog
* Mon Jul 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/warzone2100.git;a=log;h=master

* Mon Jul 20 2015 Jan Rękorajski <baggins@pld-linux.org> de5dce1
- fix building with glew 1.12

* Mon Jul 20 2015 Jan Rękorajski <baggins@pld-linux.org> b00ddab
- up to 3.1.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 422b88d
- updated gettext BR

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> d0397cf
- release 2 (by relup.sh)

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> bf7d4e7
- really remove obsolete patch

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> a3e3ab1
- up to 3.1.0
- removed obsolete patches

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 28fd7bf
- release 5 (by relup.sh)

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> fd57109
- release 4 (rebuild against libpng-1.5)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 11b7325
- release 3

* Wed Nov 02 2011 lisu <lisu@pld-linux.org> 36c8efb
- drop unsupported ca_ES locale
- rel 2

* Wed Nov 02 2011 lisu <lisu@pld-linux.org> 3599c13
- updated to 2.3.9

* Mon May 23 2011 Zsolt Udvari <uzsolt@pld-linux.org> fc73b0e
- 2.3.8
- package man6

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> d18bd3a
- BR: xorg-lib-libXt-devel

* Mon Jan 24 2011 lisu <lisu@pld-linux.org> 0cf8d59
- up to 2.3.7
- __rm macro

* Thu Dec 02 2010 lisu <lisu@pld-linux.org> 66ad702
- up to 2.3.6

* Wed Sep 29 2010 lisu <lisu@pld-linux.org> f46a315
- up to final 2.3.5

* Thu Aug 12 2010 lisu <lisu@pld-linux.org> fcd3076
- 2.3.4

* Mon Aug 02 2010 lisu <lisu@pld-linux.org> 6f3b1dd
- up to 2.3.3
- more verbose files

* Mon Jul 26 2010 lisu <lisu@pld-linux.org> adaca64
- 2.3.2

* Sun Jun 13 2010 lisu <lisu@pld-linux.org> ce0409e
- rel 2

